Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class AgentLauncher

    java.lang.Object
      madkit.kernel.AgentLauncher

Direct Known Subclasses:
  FormalismFileLauncher, ScriptAgentLauncher, SEditFileAgentLauncher

    public abstract class AgentLauncher

extends java.lang.Object

Author:
  J.Ferber An abstract class which is used to launch agents from their description. Used in Desktops and Explorer to launch agents of the right kind

Field Summary
`protected AbstractAgent` | `ag`
`protected java.lang.Object` | `arg`
`protected AbstractMadkitBooter` | `booter`
`protected java.lang.String` | `className`
`protected java.awt.Dimension` | `dim`
`protected java.lang.Boolean` | `gui`
`protected java.lang.String` | `label`
`protected java.awt.Point` | `position`
`protected java.lang.String` | `type`
`protected java.lang.String` | `typeArg`

Constructor Summary
`AgentLauncher()`

Method Summary
`void` | `init(AbstractMadkitBooter booter, java.lang.String type, java.lang.String className, java.lang.String label, java.lang.String typeArg, java.lang.Object arg, java.lang.Boolean gui, java.awt.Point p, java.awt.Dimension d)`
`abstract void` | `launch()`
`static AgentLauncher` | `makeAgentLauncher(java.lang.String launcherClass, AbstractMadkitBooter booter, java.lang.String type, java.lang.String className, java.lang.String label, java.lang.String typeArg, java.lang.Object arg, boolean gui, java.awt.Point p, java.awt.Dimension d)`
`void` | `setAgent(AbstractAgent ag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    protected java.lang.String className

### label

    protected java.lang.String label

### gui

    protected java.lang.Boolean gui

### booter

    protected AbstractMadkitBooter booter

### position

    protected java.awt.Point position

### dim

    protected java.awt.Dimension dim

### type

    protected java.lang.String type

### typeArg

    protected java.lang.String typeArg

### arg

    protected java.lang.Object arg

### ag

    protected AbstractAgent ag

Constructor Detail

### AgentLauncher

    public AgentLauncher()

Method Detail

### setAgent

    public void setAgent(AbstractAgent ag)

### makeAgentLauncher

    public static AgentLauncher makeAgentLauncher(java.lang.String launcherClass,
                                                  AbstractMadkitBooter booter,
                                                  java.lang.String type,
                                                  java.lang.String className,
                                                  java.lang.String label,
                                                  java.lang.String typeArg,
                                                  java.lang.Object arg,
                                                  boolean gui,
                                                  java.awt.Point p,
                                                  java.awt.Dimension d)

### init

    public void init(AbstractMadkitBooter booter,
                     java.lang.String type,
                     java.lang.String className,
                     java.lang.String label,
                     java.lang.String typeArg,
                     java.lang.Object arg,
                     java.lang.Boolean gui,
                     java.awt.Point p,
                     java.awt.Dimension d)

### launch

    public abstract void launch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.